/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view.model;

import java.util.List;
import javax.swing.table.AbstractTableModel;
import model.Student;

/**
 *
 * @author student1
 */
public class TableModelStudenti extends AbstractTableModel{
    private List<Student> studenti;
    private String[] columnNames=new String[]{"Broj indeksa", "Ime", "Prezime", "Godina studija"};

    public TableModelStudenti(List<Student> studenti) {
        this.studenti=studenti;
    }

    @Override
    public String getColumnName(int column) {
        return columnNames[column]; //To change body of generated methods, choose Tools | Templates.
    }
    
    

    @Override
    public int getRowCount() {
        if(studenti==null){
            return 0;
        }
        return studenti.size();
    }

    @Override
    public int getColumnCount() {
        return columnNames.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Student student=studenti.get(rowIndex);
        switch(columnIndex){
            case 0: return student.getIndeks();
            case 1: return student.getIme();
            case 2: return student.getPrezime();
            case 3: return student.getGodina();
            default: return null;
        }
    }
    
    
}
